<template lang="html">
    <div class="EmailInput">
        <div class="RegTitleBlock">
            <span class="font-weight-bold"><span class="text-danger mr-1">*</span>Enter your e-mail</span>
            <span class="icon-error text-danger">
                <font-awesome-icon class="mr-1" icon="times-circle" />Invalid E-mail
            </span>
            <span class="icon-success text-success">
                <font-awesome-icon class="mr-1" icon="check-circle" />OK
            </span>
        </div>
        <div class="InputBlock">
            <div role="group">
              <b-form-input
                v-model="email"
                id="email1"
                type="email"
                aria-describedby="input-live-help input-live-feedback"
                class="bg-input"
                required
              >
              </b-form-input>

            </div>
        </div>
        <div class="RegInfoText">
            <span>Enter a valid e-mail address. A confirmation e-mail will be sent to this address.Enter a valid e-mail address. A confirmation e-mail will be sent.</span>
        </div>
    </div>
</template>

<script>
export default {
  computed: {
    nameState() {
      return this.name.length > 7 ? true : false
    }
  },
  data() {
    return {
      name: ''
    }
  }
}
</script>

<style lang="scss" scoped>
.EmailInput {
    div {
        margin: 3px 0;
    }
    .RegInfoText {
        span {
            color: #a2a2a2;
        }
    }
    .InputBlock {
        padding: 2px;
        .bg-input {
            width: 100%;
            padding: 2px;

            border: 1px solid #eeeeee;
            border-radius: 5px;
            background-color: #eeeeee;

            padding: 2px 5px;

            resize: none;
        }
    }
    .bg-input:focus {
        outline: none;
    }
    .was-validated .form-control:invalid ~ .icon-error{
        display: block;
    }
    .icon-error {
        display: none;
    }
    .icon-success {
        display: none;
    }
}
</style>
